<form action="/clients" accept-charset="UTF-8" method="post">
  <div class="form-group">
    <label for="user_email">Email</label>
    <input type="email" class="form-control" placeholder="name@example.com" autofocus="autofocus" name="user[email]" id="user_email" required>
  </div>
  <div class="form-group">
    <label for="client_cpf">Nome</label>
    <input class="form-control" type="name" class="form-control" placeholder="Nome Completo" autofocus="autofocus" name="client[name]" id="client_name" required>
  </div>
  <div class="form-group">
    <label for="client_name">Cpf</label>
    <input class="form-control" type="name" class="form-control" placeholder="Nome Completo" autofocus="autofocus" name="client[cpf]" id="client_cpf" required>
  </div>
  <div class="form-group">
    <label for="client_gym_id">Academia</label>
    <select class="form-control" id="client_gym_id" name="client[gym_id]">
      <% @gyms.each do |gym| %>
        <option value = <%= gym.id %>> <%= gym.name %></option>
      <% end %>
    </select>
  </div>
  <div class="form-group">
    <label for="client_plan_client_id">Plano</label>
    <select class="form-control" id="client_plan_client_id" name="client[plan_client_id]">
      <% @plan_clients.each do |plan_client| %>
        <option value = <%= plan_client.id %>> <%= plan_client.name %> </option>
      <% end %>
    </select>
  </div>
  <div class="form-group">
    <label for="client_address">Endereço</label>
    <input type="text" class="form-control" autofocus="autofocus" name="client[address]" id="client_address" required>
  </div>
  <div class="form-group">
    <label for="client_phone">Celular</label>
    <input class="form-control" class="form-control" autofocus="autofocus" name="client[phone]" id="client_phone" required>
  </div>
  <div class="form-group">
    <label for="user_password">Senha</label>
    <input class="form-control" autocomplete="off" type="password" name="user[password]" id="user_password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}" required/>
  </div>
  <div class="form">
    <label for="user_password_confirmation">Confirmar Senha</label><br />
    <input class="form-control" autocomplete="off" type="password" name="user[password_confirmation]" id="user_password_confirmation" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}" required/>
  </div>
  </br>
  <button type="submit" class="btn btn-primary" name="commit" value="Create Manager" data-disable-with="Create Manager"/>Cadastrar</button>
</form>

<script type="text/javascript">
    window.onload = function () {
    	document.getElementById("user_password").onchange = validatePassword;
    	document.getElementById("user_password_confirmation").onchange = validatePassword;
    }
    function validatePassword(){
    var pass2=document.getElementById("user_password").value;
    var pass1=document.getElementById("user_password_confirmation").value;
    if(pass1!=pass2)
    	document.getElementById("user_password_confirmation").setCustomValidity("Passwords Don't Match");
    else
    	document.getElementById("user_password_confirmation").setCustomValidity('');
    //empty string means no validation error
    }
</script>
